name: henon
feature_names: [ X0, X1, X2, X3, X4, X5 ]

seq_len: 32
stride: 1

train:
  _target_: data.dataset.MyDataset
  file_path_data: ${oc.env:PROJECT_ROOT}/${path_data}/henon/train.csv
  feature_names: ${dataset.feature_names}
  seq_len: ${dataset.seq_len}
  stride: ${dataset.stride}

val:
  _target_: data.dataset.MyDataset
  file_path_data: ${oc.env:PROJECT_ROOT}/${path_data}/henon/val.csv
  feature_names: ${dataset.feature_names}
  seq_len: ${dataset.seq_len}
  stride: ${dataset.stride}

predict:
  _target_: data.dataset_noise.DatasetNoise
  n_samples: 8192
  seq_len: ${dataset.seq_len}
